/*
 * @(#)BasicMenuItemUI.java	1.87 99/04/22
 *
 * Copyright 1997-1999 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
 
package medusalf;

import java.awt.*;
import java.awt.event.*;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;
import javax.swing.text.View;


/**
 * BasicMenuItem implementation
 *
 * @version 1.87 04/22/99
 * @author Georges Saab
 * @author David Karlton
 * @author Arnaud Weber
 */
public class MedusaMenuItemUI extends BasicMenuItemUI
{

    public static ComponentUI createUI(JComponent c) {
        return new MedusaMenuItemUI();
    }

    public void installUI(JComponent c) {
        menuItem = (JMenuItem) c;

        super.installUI(c);

    }


    /**
     * We draw the background in paintMenuItem()
     * so override update (which fills the background of opaque
     * components by default) to just call paint().
     *
     */

    public void paint(Graphics g2, JComponent c)
    {
  		Graphics2D g = (Graphics2D) g2;
	  	g.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                       RenderingHints.VALUE_ANTIALIAS_ON);

    super.paint(g2,c);
/*        paintMenuItem(g, c, checkIcon, arrowIcon,
                      selectionBackground, selectionForeground,
                      defaultTextIconGap);
*/                      
    }

}
